mscorlib 2.0.0.0 4.0.0.0 System.Text.EncoderFallbackBuffer

A common reason for an encoding or decoding operation to fail is if the underlying encoding class does not provide a mapping between a character and an equivalent byte sequence. If the input character cannot be converted to an output byte sequence, the encoding operation calls the method, which throws .

The class, which represents a data buffer used in an encoding operation, is the base class for the class. However, instead of a data buffer, the class represents a standard behavior wherein an exception is thrown if an encoding operation fails. No actual data buffer exists, and the members designed to manipulate such a buffer do no significant work.

Throws when an input character cannot be converted to an encoded output byte sequence. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The and methods call if they encounter an unknown character in their input. In response, always throws .

  Throws an exception because the input character cannot be encoded. Parameters specify the value and index position of the character that cannot be converted.

  None. No value is returned because the method always throws an exception.

  An input character. The index position of the character in the input buffer.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` ``

  The and methods call if they encounter a surrogate pair in their input. In response, always throws an exception.

  Throws an exception because the input character cannot be encoded. Parameters specify the value and index position of the surrogate pair in the input, and the nominal return value is not used.

  None. No value is returned because the method always throws an exception.

  The high surrogate of the input pair. The low surrogate of the input pair. The index position of the surrogate pair in the input buffer.
- Method
  2.0.0.0
  4.0.0.0
  System.Char

  Because has no actual exception data buffer, the method always returns the Unicode NULL character.

  Retrieves the next character in the exception fallback buffer.

  The return value is always the Unicode character, NULL (U+0000).

  A return value is defined, although it is unchanging, because this method implements an abstract method.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  Because has no actual exception data buffer, the method always returns false.

  Causes the next call to the method to access the exception data buffer character position that is prior to the current position.

  The return value is always false.

  A return value is defined, although it is unchanging, because this method implements an abstract method.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Because has no actual exception data buffer, the property always returns zero.

  Gets the number of characters in the current object that remain to be processed.